import 'package:flutter_riverpod/flutter_riverpod.dart';
import 'package:hub/src/core/data/datasource/hub_remote_datasource.dart';
import 'package:hub/src/core/data/datasource/hub_remote_datasource_impl.dart';
import 'package:sf_infrastructure/sf_infrastructure.dart';

final homeRemoteDatasourceProvider = Provider<HomeRemoteDatasource>((ref) {
  final questiaRepository = getIt<QuestiaRepository>();
  return HomeRemoteDatasourceImpl(questiaRepository);
});
